package drcomforall;

import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;

public class Drcom {

    private static HttpURLConnection conn = null;
    private static boolean isLogin,  isLogout = false;

    public static boolean getIsLogin() {
        return isLogin;
    }

    public static boolean send(String urlAddr, Map map) throws Exception {
        StringBuffer params = new StringBuffer();

        Iterator it = map.entrySet().iterator();
        while (it.hasNext()) {
            Entry element = (Entry) it.next();
            params.append(element.getKey());
            params.append("=");
            params.append(element.getValue());
            params.append("&");
        }

        if (params.length() > 0) {
            params.deleteCharAt(params.length() - 1);
        }

        try {
            URL url = new URL(urlAddr);
            conn = (HttpURLConnection) url.openConnection();

            conn.setDoOutput(true);
            conn.setRequestMethod("POST");
            conn.setUseCaches(false);
            conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
            conn.setRequestProperty("Content-Length", String.valueOf(params.length()));
            conn.setDoInput(true);
            conn.connect();

            OutputStreamWriter out = new OutputStreamWriter(conn.getOutputStream(), "UTF-8");
            out.write(params.toString());
            System.out.println(params.toString());
            out.flush();
            out.close();

            int code = conn.getResponseCode();
            if (code != 200) {
                System.out.println("ERROR===" + code);
            } else {
                isLogin = true;
                System.out.println("Success!");
            }
        } catch (Exception ex) {
            ex.printStackTrace();
        } finally {
            conn.disconnect();
        }
        return isLogin;
    }

    public static boolean login(String urlAddr, String post) throws Exception {



        try {
            urlAddr = "http://" + urlAddr;
            URL url = new URL(urlAddr);
            conn = (HttpURLConnection) url.openConnection();

            conn.setDoOutput(true);
            conn.setRequestMethod("POST");
            conn.setUseCaches(false);
            conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
            conn.setRequestProperty("Content-Length", String.valueOf(post.length()));
            conn.setDoInput(true);
            conn.connect();

            OutputStreamWriter out = new OutputStreamWriter(conn.getOutputStream(), "UTF-8");
            out.write(post);
            out.flush();
            out.close();
            int code = conn.getResponseCode();
            if (code != 200) {
                //System.out.println("ERROR===" + code);
            } else {
                isLogin = true;
            //System.out.println("Success!");
            }

        } catch (Exception e) {
            System.out.println("发送POST请求出现异常！" + e);
            e.printStackTrace();
        } finally {
            conn.disconnect();
        }

        return isLogin;
    }

    public static boolean logout(String urlAddr) throws Exception {

        try {
            urlAddr = "http://" + urlAddr + "/F.htm?Submit2=Logout";
            URL url = new URL(urlAddr);
            conn =
                    (HttpURLConnection) url.openConnection();

            conn.setDoOutput(true);
            conn.setRequestMethod("GET");
            conn.setUseCaches(false);
            conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
            //conn.setRequestProperty("Content-Length",String.valueOf(256));
            conn.setDoInput(true);
            conn.connect();
            //System.out.println(conn.getResponseMessage());
            int code = conn.getResponseCode();
            if (code != 200) {
                System.out.println("ERROR===" + code);
            } else {
                isLogout = true;
                System.out.println("Success!");
            }

        } catch (Exception ex) {
            ex.printStackTrace();
        } finally {
            conn.disconnect();
        }

        return isLogout;
    }
}